=== debian/changelog ===
shadowsocks-qt5 (3.0.1-2) unstable; urgency=medium

  * Rebuild for Debian Buster.
  * debian/control: Limit supported Qt version to >= 5.6
    to reflect the requirement of patch (fix for upstream issue #169).

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Nov 2018 19:42:00 -0500

shadowsocks-qt5 (3.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #908825)

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Sep 2018 10:27:33 -0400
