=== debian/control ===
Source: shadowsocks-qt5
Section: net
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Uploaders:
 Debian Bridges Team <team+bridges@tracker.debian.org>,
 Roger Shimizu <rosh@debian.org>,
Build-Depends:
 cmake (>= 3.1~),
 debhelper (>= 11),
 libqrencode-dev,
 libqtshadowsocks-dev (>= 2.0.0),
 libzbar-dev,
 pkg-config,
 qtbase5-dev (>= 5.6),
Standards-Version: 4.2.1
Homepage: https://github.com/shadowsocks/shadowsocks-qt5
Vcs-Git: https://salsa.debian.org/bridges-team/shadowsocks-qt5.git
Vcs-Browser: https://salsa.debian.org/bridges-team/shadowsocks-qt5

Package: shadowsocks-qt5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Cross-platform shadowsocks GUI client
 Shadowsocks-Qt5 is a native and cross-platform shadowsocks client with GUI,
 tray icon support and many advanced features. It can communicate with servers
 using shadowsocks protocol to bypass firewalls and encrypt data transmission.
